public class TestCircleWithPrivateDataFields {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzy koło o promieniu 5.0
    CircleWithPrivateDataFields myCircle = 
      new CircleWithPrivateDataFields(5.0);
    System.out.println("Powierzchnia koła o promieniu "
      + myCircle.getRadius() + " wynosi " + myCircle.getArea());

    // Zwiększa promień obiektu myCircle o 10%
    myCircle.setRadius(myCircle.getRadius() * 1.1);
    System.out.println("Powierzchnia koła o promieniu "
      + myCircle.getRadius() + " wynosi " + myCircle.getArea());
    
    System.out.println("Liczba utworzonych obiektów to "
      + CircleWithPrivateDataFields.getNumberOfObjects());
  }
}
